Subject: Re: [PATCH] gnu: libdjinterop: Update to 0.21.0.

From: Ferran Pujol Camins <[email-masked]>
Date: Sat, 27 Jul 2024 19:02:18 +0200

>
> Commits are signed by the committer who pushes it, you don't sign your
> own.

Thanks for clarifying. I'll keep this in mind for the future.

QA is likely to break here, so this update should wait for the next
> release of Mixxx, which will bump libdjinterop to 0.21.0.
>

I see. My goal was precisely to have v0.21.0 packaged so I could set a guix
shell to develop with mixxx main branch. How is this usually handled?

On Sat, 27 Jul 2024, 00:26 Vinicius Monego, <[email-masked]> wrote:

> Hi,
>
> Em qui, 2024-07-25 às 16:00 +0200, Ferran Pujol Camins escreveu:
> > * gnu/packages/audio.scm (libdjinterop): Update to 0.21.0.
> >
>
> The current release of Mixxx, 2.4.1, expects libdjinterop at 0.20.2:
>
>
> https://github.com/mixxxdj/mixxx/blob/da261b6f006141fbca8b10490e73ad2211703d20/CMakeLists.txt#L2286
>
> set(LIBDJINTEROP_VERSION 0.20.2)
>
> QA is likely to break here, so this update should wait for the next
> release of Mixxx, which will bump libdjinterop to 0.21.0.
>
> > Signed-off-by: Ferran Pujol Camins <[email-masked]>
> > Change-Id: I2ec016a0b5851a780746802f8812f1829b50f5c7
> >
>
> Commits are signed by the committer who pushes it, you don't sign your
> own.
>
> Regards,
>
> Vinicius
>